Package org.gradle.api.tasks.diagnostics

## Class AbstractDependencyReportTask

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.diagnostics.AbstractReportTask
        - - org.gradle.api.tasks.diagnostics.AbstractDependencyReportTask

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`
  Direct Known Subclasses:
    `DependencyReportTask`

      public abstract class AbstractDependencyReportTask
      extends AbstractReportTask

  Displays the dependency tree for a configuration.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractDependencyReportTask()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `generate​(Project project)` |
    `Set<Configuration>` | `getConfigurations()` | Returns the configurations to generate the report for.
    `org.gradle.api.tasks.diagnostics.internal.ReportRenderer` | `getRenderer()` |
    `abstract ConfigurationContainer` | `getTaskConfigurations()` |
    `void` | `setConfiguration​(String configurationName)` | Sets the single configuration (by name) to generate the report for.
    `void` | `setConfigurations​(Set<Configuration> configurations)` | Sets the configurations to generate the report for.
    `void` | `setRenderer​(org.gradle.api.tasks.diagnostics.internal.DependencyReportRenderer renderer)` | Set the renderer to use to build a report.

    - ### Methods inherited from class org.gradle.api.tasks.diagnostics.AbstractReportTask

      `generate, getClientMetaData, getOutputFile, getProjects, getTextOutputFactory, setOutputFile, setProjects`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getRequiredServices, getServices, getSharedResources, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDependencyReportTask

          public AbstractDependencyReportTask()

  - ### Method Detail

    - #### getRenderer

          public org.gradle.api.tasks.diagnostics.internal.ReportRenderer getRenderer()

      Specified by:
        `getRenderer` in class `AbstractReportTask`

    - #### setRenderer

          public void setRenderer​(org.gradle.api.tasks.diagnostics.internal.DependencyReportRenderer renderer)

      Set the renderer to use to build a report. If unset, AsciiGraphRenderer will be used.

    - #### generate

          public void generate​(Project project)
                        throws IOException

      Specified by:
        `generate` in class `AbstractReportTask`
      Throws:
        `IOException`

    - #### getConfigurations

          @Internal
          public Set<Configuration> getConfigurations()

      Returns the configurations to generate the report for. Defaults to all configurations of this task's containing project.
      Returns:
        the configurations.

    - #### setConfigurations

          public void setConfigurations​(Set<Configuration> configurations)

      Sets the configurations to generate the report for.
      Parameters:
        `configurations` - The configuration. Must not be null.

    - #### setConfiguration

          public void setConfiguration​(String configurationName)

      Sets the single configuration (by name) to generate the report for.
      Parameters:
        `configurationName` - name of the configuration to generate the report for

    - #### getTaskConfigurations

          @Internal
          public abstract ConfigurationContainer getTaskConfigurations()